This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 908234 - (CVE-2013-1620) CVE-2013-1620 nss: TLS CBC padding timing attack
CVE-2013-1620 nss: TLS CBC padding timing attack
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130204,repor...
: Security
Depends On: 908257 918870 918872 918874 918875
Blocks: 907592
  Show dependency treegraph
 
Reported: 2013-02-06 03:44 EST by Huzaifa S. Sidhpurwala
Modified: 2016-06-10 17:23 EDT (History)
4 users (show)

See Also:
Fixed In Version: nss 3.14.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-10 17:23:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 822365 None None None Never

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-02-06 03:44:35 EST
A flaw in how TLS/DTLS, when CBC-mode encryption is used, communicates was reported.  This vulnerability can allow for a Man-in-the-Middle attacker to recover plaintext from a TLS/DTLS connection, when CBC-mode encryption is used.

This flaw is in the TLS specification, and not a bug in a specific implementation (as such, it affects nearly all implementations).  As such, it affects all TLS and DTLS implementations that are compliant with TLS 1.1 or 1.2, or with DTLS 1.0 or 1.2.  It also applies to implementations of SSL 3.0 and TLS 1.0 that incorporate countermeasures to deal with previous padding oracle attacks.  All TLS/DTLS ciphersuites that include CBC-mode encryption are potentially vulnerable.

To perform a successful attack, when TLS is used, a large number of TLS sessions are required (target plaintext must be sent repeatedly in the same position in the plaintext stream across the sessions).  For DTLS, a successful attack can be carried out in a single session.  The attacker must also be located close to the machine being attacked.

Further details are noted in the paper:

http://www.isg.rhul.ac.uk/tls/TLStiming.pdf

Currently Mozilla is working on final NSS fixes:

https://bugzilla.mozilla.org/show_bug.cgi?id=822365

External References:

http://www.isg.rhul.ac.uk/tls/
Comment 1 Huzaifa S. Sidhpurwala 2013-02-06 04:31:31 EST
Created nss tracking bugs for this issue

Affects: fedora-all [bug 908257]
Comment 4 Tomas Hoger 2013-02-28 02:15:05 EST
Fixed upstream in nss and nss-softoken 3.14.3:

https://developer.mozilla.org/en-US/docs/NSS/NSS_3.14.3_release_notes#Notable_Changes_in_NSS_3.14.3
Comment 6 errata-xmlrpc 2013-08-05 11:54:35 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1135 https://rhn.redhat.com/errata/RHSA-2013-1135.html
Comment 7 errata-xmlrpc 2013-08-07 13:50:20 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1144 https://rhn.redhat.com/errata/RHSA-2013-1144.html
Comment 8 errata-xmlrpc 2013-08-27 14:54:21 EDT
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2013:1181 https://rhn.redhat.com/errata/RHSA-2013-1181.html

Note You need to log in before you can comment on or make changes to this bug.